void initGL()
{
  pgl = (PGraphicsOpenGL) g;
  gl = pgl.gl;
}

void initGLdraw()
{
  pgl.beginGL();  
  gl.glClear(GL.GL_DEPTH_BUFFER_BIT);
  gl.glEnable(GL.GL_DEPTH_TEST);
  gl.glEnable(GL.GL_BLEND);
  gl.glBlendFunc(GL.GL_SRC_ALPHA,GL.GL_ONE);
  pgl.endGL();  
}

void renderImage(float x, float y, float w, float h, float r, float g, float b)
{
  pgl.beginGL();
  gl.glPushMatrix();

  gl.glEnable(GL.GL_TEXTURE_2D);  
//  gl.glBindTexture(GL.GL_TEXTURE_2D, 0);
  gl.glTranslatef(x, y, 0);
  gl.glScalef(w, h, 1);

  gl.glColor4f(r, g, b, 1);
  gl.glBegin(GL.GL_POLYGON);
  gl.glTexCoord2f(0, 0);    gl.glVertex2f(-.5, -.5);
  gl.glTexCoord2f(1, 0);    gl.glVertex2f( .5, -.5);
  gl.glTexCoord2f(1, 1);    gl.glVertex2f( .5,  .5);
  gl.glTexCoord2f(0, 1);    gl.glVertex2f(-.5,  .5);
  gl.glEnd();
  gl.glEndList();

  gl.glPopMatrix();
  pgl.endGL();  
}

