/*

// SuperCollider 3 synthdefs
//------------------------------------------------------------------------------------------------------

SynthDef(\inst_harmonic, { |outbus = 0, freq = 440, pan = 0, on = 1, amp = 0.1, delay = 0.2, lag = 0|
	var data;
	freq = Lag.kr(freq, lag);
	data = SinOsc.ar(freq * TRand.kr(0.99, 1.01, on));
	data = data.softclip(0.2);
	data = data * AmpComp.kr(freq, 300, 0.5) * amp * on;
	data = Pan2.ar(data, pan);
	data = data + CombN.ar(data, 0.2, Rand(0.1, 0.2), 2.0, delay);
	Out.ar(outbus, data);
}).store;

*/
